function runscript()
		if (getflag(FLAG_ENTERED_DREAM) == FLAG_OFF) then
			say ("FLAG ON");
			setflag(FLAG_ENTERED_DREAM, FLAG_ON);
		else
			say ("FLAG OFF");
			setflag(FLAG_ENTERED_DREAM, FLAG_OFF);
		end
end